SUSE 5001 Published by

A conmon security update has been released for openSUSE Leap 15.4/Micro 5.3/5.4 and SUSE Linux Enterprise 15 SP4/Micro 5.3/5.4.



SUSE-SU-2023:2989-1: important: Security update for conmon


# Security update for conmon

Announcement ID: SUSE-SU-2023:2989-1
Rating: important
References:

* #1208737
* #1209307

Affected Products:

* Containers Module 15-SP4
* openSUSE Leap 15.4
* openSUSE Leap Micro 5.3
* openSUSE Leap Micro 5.4
* SUSE Linux Enterprise High Performance Computing 15 SP4
* SUSE Linux Enterprise Micro 5.3
* SUSE Linux Enterprise Micro 5.4
* SUSE Linux Enterprise Micro for Rancher 5.3
* SUSE Linux Enterprise Micro for Rancher 5.4
* SUSE Linux Enterprise Real Time 15 SP4
* SUSE Linux Enterprise Server 15 SP4
* SUSE Linux Enterprise Server for SAP Applications 15 SP4
* SUSE Manager Proxy 4.3
* SUSE Manager Retail Branch Server 4.3
* SUSE Manager Server 4.3

An update that has two fixes can now be installed.

## Description:

This update for conmon fixes the following issues:

conmon was updated to version 2.1.7:

* Bumped go version to 1.19 (bsc#1209307).

Bugfixes:

* Fixed leaking symbolic links in the opt_socket_path directory.
* Fixed cgroup oom issues (bsc#1208737).
* Fixed OOM watcher for cgroupv2 `oom_kill` events.

## Patch Instructions:

To install this SUSE Important update use the SUSE recommended installation
methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

* openSUSE Leap 15.4
zypper in -t patch openSUSE-SLE-15.4-2023-2989=1 SUSE-2023-2989=1

* openSUSE Leap Micro 5.3
zypper in -t patch openSUSE-Leap-Micro-5.3-2023-2989=1

* openSUSE Leap Micro 5.4
zypper in -t patch openSUSE-Leap-Micro-5.4-2023-2989=1

* SUSE Linux Enterprise Micro for Rancher 5.3
zypper in -t patch SUSE-SLE-Micro-5.3-2023-2989=1

* SUSE Linux Enterprise Micro 5.3
zypper in -t patch SUSE-SLE-Micro-5.3-2023-2989=1

* SUSE Linux Enterprise Micro for Rancher 5.4
zypper in -t patch SUSE-SLE-Micro-5.4-2023-2989=1

* SUSE Linux Enterprise Micro 5.4
zypper in -t patch SUSE-SLE-Micro-5.4-2023-2989=1

* Containers Module 15-SP4
zypper in -t patch SUSE-SLE-Module-Containers-15-SP4-2023-2989=1

## Package List:

* openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64 i586)
* conmon-debuginfo-2.1.7-150400.3.11.1
* conmon-2.1.7-150400.3.11.1
* openSUSE Leap Micro 5.3 (aarch64 x86_64)
* conmon-debuginfo-2.1.7-150400.3.11.1
* conmon-2.1.7-150400.3.11.1
* openSUSE Leap Micro 5.4 (aarch64 s390x x86_64)
* conmon-debuginfo-2.1.7-150400.3.11.1
* conmon-2.1.7-150400.3.11.1
* SUSE Linux Enterprise Micro for Rancher 5.3 (aarch64 s390x x86_64)
* conmon-debuginfo-2.1.7-150400.3.11.1
* conmon-2.1.7-150400.3.11.1
* SUSE Linux Enterprise Micro 5.3 (aarch64 s390x x86_64)
* conmon-debuginfo-2.1.7-150400.3.11.1
* conmon-2.1.7-150400.3.11.1
* SUSE Linux Enterprise Micro for Rancher 5.4 (aarch64 s390x x86_64)
* conmon-debuginfo-2.1.7-150400.3.11.1
* conmon-2.1.7-150400.3.11.1
* SUSE Linux Enterprise Micro 5.4 (aarch64 s390x x86_64)
* conmon-debuginfo-2.1.7-150400.3.11.1
* conmon-2.1.7-150400.3.11.1
* Containers Module 15-SP4 (aarch64 ppc64le s390x x86_64)
* conmon-debuginfo-2.1.7-150400.3.11.1
* conmon-2.1.7-150400.3.11.1

## References:

* https://bugzilla.suse.com/show_bug.cgi?id=1208737
* https://bugzilla.suse.com/show_bug.cgi?id=1209307